package com.siit.wfw.frame;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

@SpringBootApplication(
   scanBasePackages = {"com.siit.wfw.**"},
   exclude = {DataSourceAutoConfiguration.class}
)
@EnableDiscoveryClient
@EnableFeignClients
public class BaseFrameApplication {

   public static void main(String[] args) {
      SpringApplication.run(BaseFrameApplication.class, args);
   }
}
